#!/usr/bin/python
# File: unixinst.py

## This file is part of Kombilo, a go database program.
## It serves to install Kombilo systemwide under Unix.

##   Copyright (C) 2001-2 Ulrich Goertz (u@g0ertz.de)

##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation; either version 2 of the License, or
##   (at your option) any later version.

##   This program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.

##   You should have received a copy of the GNU General Public License
##   along with this program (gpl.txt); if not, write to the Free Software
##   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##   The GNU GPL is also currently available at
##   http://www.gnu.org/copyleft/gpl.html

##   ---------------------------------------------

# Please read the comments below carefully and edit the file where necessary.
# Probably you will not have to make many changes.
# If on your system, the Python interpreter is not in /usr/bin (but in
# /usr/local/bin for example), you will have to change the first line
# of the file kombilo.py accordingly.

import os
import sys

# this should be used only on UNIXoid systems:

if os.name != 'posix':
    print 'This should be used only on Unix systems. On other systems,'
    print 'it is not necessary to execute an installation script.'
    sys.exit()

# write global kombilo.def

f = open('kombilo.def','w')
f.write('kombilo05\n')    # Do NOT change this!

f.write('i|%%%s\n' % '/tmp')    # 'i'ndividual .def files:
                               # Look for .opt, .def files in $HOME/.kombilo,
                               # or -if $HOME is not set- in /tmp/.kombilo .
                               # You can replace /tmp with another directory that should
                               # be used as an alternative if $HOME is not set.
                               # It is very unlikely that you have to change this.

# f.write('s|%%%s\n' % '/usr/local/share/sgf')
                        # Uncomment (and change) this to set a new
                        # default path for sgf files (i.e. files to be loaded
                        # to the search board in order to analyze them; these
                        # are not the databases)
                        # (the directory you use must exist).
                        # Leave it to make kombilo's directory the default.

# f.write('p|%%%s\n' % '/usr/local/share/data')
                        # Uncomment (and change) this to set a new
                        # default path for the directories containing the
                        # database SGF files 
                        # (the directory you use must exist).
                        # If you leave it kombilo's directory will be the default.
                        
# create link to kombilo.py
                                     
os.symlink('/usr/local/share/kombilo05/kombilo.py', '/usr/local/bin/kombilo.py')
                        # This creates a link in /usr/local/bin pointing
                        # to kombilo.py .
                        # If you put the kombilo05 directory not in
                        # /usr/local/share, but somewhere else,
                        # you must change the first entry.
                        # You can change the second entry to put the link 
                        # somewhere else, but the link should be in a 
                        # directory which is in the PATH of the users. 
                        # The file kombilo.py itself must stay in
                        # the kombilo05 subdirectory where you unpacked it,
                        # because it needs to find the other files in
                        # that subdirectory.

# make kombilo.py executable for everybody

os.chmod('kombilo.py', 0755)

# check if the python interpreter is in the 'right' place

if not os.path.exists('/usr/bin/python'):
    print 'Your python interpreter is not installed in /usr/bin .'
    print 'Please change the first line of kombilo.py and v.py accordingly.'
    print '(You can find the location of the Python interpreter with'
    print '\'which python\' .)'


